Compare a version with the approved one
curl --request POST \
--url https://api.example.com/api/registry/context/versions/{version_id}/evals \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/registry/context/versions/{version_id}/evals"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/registry/context/versions/{version_id}/evals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/registry/context/versions/{version_id}/evals",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/registry/context/versions/{version_id}/evals"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/registry/context/versions/{version_id}/evals")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/registry/context/versions/{version_id}/evals")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pack_artifact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"candidate_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"results": {},
"started_by": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"baseline_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"error": "<string>",
"finished_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}Context packs
Compare a version with the approved one
Runs in the background, as you. Submitting a version starts one too. Evals inform review; they never approve anything.
POST
/
api
/
registry
/
context
/
versions
/
{version_id}
/
evals
Compare a version with the approved one
curl --request POST \
--url https://api.example.com/api/registry/context/versions/{version_id}/evals \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/registry/context/versions/{version_id}/evals"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/registry/context/versions/{version_id}/evals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/registry/context/versions/{version_id}/evals",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/registry/context/versions/{version_id}/evals"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/registry/context/versions/{version_id}/evals")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/registry/context/versions/{version_id}/evals")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pack_artifact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"candidate_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"results": {},
"started_by": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"baseline_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"error": "<string>",
"finished_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The pack version's ID.
Response
Successful Response
A comparison of a candidate version against the approved one.
Was this page helpful?

